#!/bin/bash


#slot number to create in old db
slots=(0 10 50 100)


rm test.log

for i in "${slots[@]}"
do
	sed "s/SLOTNUM/${i}/g" slot.sql > slot${i}.sql
	echo "---------------testing ${i} slots---------------"

	for c in 1 2 3 4 5 
	do
		rm delete_old_cluster.sh > /dev/null 2>&1
		./setup.sh >> test.log 2>&1
		psql -d postgres -p 5432 -f slot${i}.sql >> test.log 2>&1
		pg_ctl stop -D data_N1 >> test.log 2>&1

		# Enable the following code if testing upgrade after advance check
		#pg_upgrade -b ~/install/bin/ -B ~/install/bin/ -d ./data_N1 -D ./data_N2 -p 5432 -P 5433 --check > /dev/#null 2>&1
		#if [ $? -ne 0 ];then
		#	echo "upgrade --check fail !!!"
		#	exit
		#fi

		(time pg_upgrade -b ~/install/bin/ -B ~/install/bin/ -d ./data_N1 -D ./data_N2 -p 5432 -P 5433) 2>&1 | grep real
		
		ls delete_old_cluster.sh > /dev/null 2>&1
		if [ $? -ne 0 ];then
			echo "upgrade fail !!!"
			exit
		else
			echo "upgrade succeed"
		fi
	done
done

